XmClipboardUnlock(library call)

NAME
XmClipboardUnlock — A clipboard function that unlocks the clipboard

SYNOPSIS

#include <Xm/CutPaste.h>
int XmClipboardUnlock (display, window, remove_all_locks)
        Display * display;
        Window  window;
        Boolean remove_all_locks;
(void)

DESCRIPTION

XmClipboardUnlock unlocks the clipboard, enabling it to be accessed by other applications.

If multiple calls to XmClipboardLock have occurred, the same number of calls to XmClipboardUnlock is necessary to unlock the clipboard, unless remove_all_locks is set to True.

display
    Specifies a pointer to the Display structure that was returned in a previous call to XOpenDisplay or XtDisplay.

window
    Specifies the window ID of a widget that relates the application window to the clipboard. The widget's window ID can be obtained through XtWindow. The same application instance should pass the same window ID to each of the clipboard functions that it calls.

remove_all_locks
    When True, indicates that all nested locks should be removed. When False, indicates that only one level of lock should be removed.

RETURN

XmClipboardSuccess
    The function was successful.

XmClipboardFail
    The function failed because the clipboard was not locked or was locked by another application.

RELATED

XmClipboardCancelCopy(3), XmClipboardCopy(3), XmClipboardEndCopy(3), XmClipboardEndRetrieve(3), XmClipboardInquireCount(3), XmClipboardInquireFormat(3), XmClipboardInquireLength(3), XmClipboardInquirePendingItems(3), XmClipboardLock(3), XmClipboardRegisterFormat(3), XmClipboardRetrieve(3), XmClipboardStartCopy(3), XmClipboardStartRetrieve(3), XmClipboardUndoCopy(3), and XmClipboardWithdrawFormat(3).